#!/usr/bin/octave
# 第6章/@Notebook/Notebook.m

function ret = Notebook()
    ## -*- texinfo -*-
    ## @deftypefn {} {} Notebook ()
    ## 笔记本类
    ##
    ## @example
    ## param: -
    ## 
    ## return: ret
    ## @end example
    ##
    ## @end deftypefn
    optimize_subsasgn_calls(false)
    global field;
    # 全局变量 笔记本属性对象 field
    callback = NotebookCallbacks;
    toolbox = Toolbox;
    input_field_width = get_window_width(toolbox);
    # 输入框的宽度 input_field_width
    input_field_height = get_window_height(toolbox);
    # 输入框的高度 input_field_height
    
    f = figure;
    # 基础图形句柄 f

    input_field = uicontrol(
        f, ...
        'style', 'edit', ...
        'position', [0, 0, input_field_width, input_field_height], ...
        'string', '' ...
        );
    # 输入框 input_field
    set(f, 'sizechangedfcn', {@callback_set_size, callback, input_field})
    ret = class(struct, "Notebook");
endfunction