#!/usr/bin/octave
# 第6章/@NotebookAttributes/NotebookAttributes.m

function ret = NotebookAttributes()
    ## -*- texinfo -*-
    ## @deftypefn {} {} NotebookAttributes ()
    ## 计算器属性类
    ##
    ## @example
    ## param: -
    ## 
    ## return: ret
    ## @end example
    ##
    ## @end deftypefn
    margin = 10;
    # GUI控件间的边距 margin
    key_width = 50;
    # 键盘的每个按键的单位宽度 key_width
    key_height = 30;
    # 键盘的每个按键的单位高度 key_height
    font_size = 20;
    # 单位字体大小 font_size
    privious_number = nan;
    # 上次的数字 privious_number
    privious_text = '';
    # 上次的文字 privious_text
    privious_operator = '';
    # 上次的运算符 privious_operator
    current_number = nan;
    # 当前的数字 current_number
    current_text = '';
    # 当前的文字 current_text
    current_operator = '';
    # 当前的运算符 current_operator

    a = struct(
        'margin', margin, ...
        'key_width', key_width, ...
        'key_height', key_height, ...
        'font_size', font_size, ...
        'privious_number', privious_number, ...
        'privious_text', privious_text, ...
        'privious_operator', privious_operator, ...
        'current_number', current_number, ...
        'current_text', current_text, ...
        'current_operator', current_operator ...
        );
    ret = class(a, "NotebookAttributes");
endfunction